#include "K36Utilities.h"

class AK36Spikes;
class AKiller;
class AK36SpellTrajectoryPreviewer;
class UK36SelectSpellInteraction;
class UK36SpellManagerComponent;
class AK36Power;
class UK36DnDManagerComponent;
class UObject;
class AK36MagicItemArtifact;
class ASurvivor;

AK36Spikes* UK36Utilities::GetSpikes(const AKiller* killer)
{
	return NULL;
}

AK36SpellTrajectoryPreviewer* UK36Utilities::GetSpellTrajectoryPreviewer(const AKiller* killer)
{
	return NULL;
}

UK36SelectSpellInteraction* UK36Utilities::GetSelectSpellInteraction(const AKiller* killer)
{
	return NULL;
}

UK36SpellManagerComponent* UK36Utilities::GetK36SpellManagerComponent(const AKiller* killer)
{
	return NULL;
}

AK36Power* UK36Utilities::GetK36Power(const AKiller* killer)
{
	return NULL;
}

UK36DnDManagerComponent* UK36Utilities::GetDnDManagerComponent(const UObject* worldContextObject)
{
	return NULL;
}

TArray<AK36MagicItemArtifact*> UK36Utilities::GetArtifactsOnSurvivor(const ASurvivor* survivor)
{
	return TArray<AK36MagicItemArtifact*>();
}

UK36Utilities::UK36Utilities()
{

}
